<< xcorr2 | FOSSEE_Signal_Processing_Toolbox | zerocrossing >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > yulewalker

# yulewalker

Fit an AR (p)-model with Yule-Walker estimates given a vector C of autocovariances '[gamma_0, ..., gamma_p]'.

### Syntax

    A = yulewalker(C)
    [A,V]= yulewalker(C)

### Parameters

C:

  Autocovariances

### Description

Fit an AR (p)-model with Yule-Walker estimates given a vector C of autocovariances '[gamma_0, ..., gamma_p]'. Returns the AR coefficients, A, and the variance of white noise, V.

### Examples

    [A,V]=yulewalker([1 2 3])

Report an issue
<< xcorr2 | FOSSEE_Signal_Processing_Toolbox | zerocrossing >>